Package fr.gouv.vitam.batch.report.model

# Class PurgeAccessionRegisterModel

java.lang.Object
fr.gouv.vitam.batch.report.model.PurgeAccessionRegisterModel

public class PurgeAccessionRegisterModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OPC`
  `static final String`
  `OPI`
  `static final String`
  `ORIGINATING_AGENCY`
  `static final String`
  `TOTAL_OBJECT_GROUPS`
  `static final String`
  `TOTAL_OBJECTS`
  `static final String`
  `TOTAL_SIZE`
  `static final String`
  `TOTAL_UNITS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgeAccessionRegisterModel()`
  `PurgeAccessionRegisterModel(String opi, String originatingAgency, long totalUnits, long totalObjectGroups, long totalObjects, long totalSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOpi()`
  `String`
  `getOriginatingAgency()`
  `long`
  `getTotalObjectGroups()`
  `long`
  `getTotalObjects()`
  `long`
  `getTotalSize()`
  `long`
  `getTotalUnits()`
  `void`
  `setOpi(String opi)`
  `void`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setTotalObjectGroups(long totalObjectGroups)`
  `void`
  `setTotalObjects(long totalObjects)`
  `void`
  `setTotalSize(long totalSize)`
  `void`
  `setTotalUnits(long totalUnits)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPI

    public static final String OPI
    See Also:
      - Constant Field Values

  - ### OPC

    public static final String OPC
    See Also:
      - Constant Field Values

  - ### ORIGINATING_AGENCY

    public static final String ORIGINATING_AGENCY
    See Also:
      - Constant Field Values

  - ### TOTAL_UNITS

    public static final String TOTAL_UNITS
    See Also:
      - Constant Field Values

  - ### TOTAL_OBJECT_GROUPS

    public static final String TOTAL_OBJECT_GROUPS
    See Also:
      - Constant Field Values

  - ### TOTAL_OBJECTS

    public static final String TOTAL_OBJECTS
    See Also:
      - Constant Field Values

  - ### TOTAL_SIZE

    public static final String TOTAL_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PurgeAccessionRegisterModel

    public PurgeAccessionRegisterModel()

  - ### PurgeAccessionRegisterModel

    public PurgeAccessionRegisterModel(String opi, String originatingAgency, long totalUnits, long totalObjectGroups, long totalObjects, long totalSize)

- ## Method Details

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getOriginatingAgency

    public String getOriginatingAgency()

  - ### setOriginatingAgency

    public void setOriginatingAgency(String originatingAgency)

  - ### getTotalUnits

    public long getTotalUnits()

  - ### setTotalUnits

    public void setTotalUnits(long totalUnits)

  - ### getTotalObjectGroups

    public long getTotalObjectGroups()

  - ### setTotalObjectGroups

    public void setTotalObjectGroups(long totalObjectGroups)

  - ### getTotalObjects

    public long getTotalObjects()

  - ### setTotalObjects

    public void setTotalObjects(long totalObjects)

  - ### getTotalSize

    public long getTotalSize()

  - ### setTotalSize

    public void setTotalSize(long totalSize)